Bug 47021 - univention-app update does not honor --cache-dir
univention-app update does not honor --cache-dir
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.3
Other Linux
: P5 normal (vote)
: UCS 4.3-0-errata
Assigned To: Dirk Wiesenthal
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-16 14:30 CEST by Dirk Wiesenthal
Modified: 2018-06-06 16:16 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.034
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2018-05-16 14:30:40 CEST
It is simply ignored.

This was a problem during 4.1->4.2 update and it currently is a problem in the Provider Portal.

We have to patch it there which is extremely fragile.
Comment 1 Dirk Wiesenthal univentionstaff 2018-05-16 21:25:32 CEST
Fixed in
  univention-appcenter 7.0.1-45A~4.3.0.201805162117

I removed some dead code. This code was meant to update join scripts when updated on the App Center server. Although we never used it, it was nice to know that this "backup plan" existed in case something went wrong.

--cache-dir and the join script update may have worked before we improved the performance by using zsync. With that change, a lot of things were obsolete in the update.py code.

I created a Bug#47023 for that.
Comment 2 Felix Botner univentionstaff 2018-05-23 17:50:46 CEST
ok, cache dir works, but is useful only in combination with --ucs-version, without --ucs-version all ini files from all UCS versions are stored in the cache dir, is this OK?
Comment 3 Dirk Wiesenthal univentionstaff 2018-05-24 21:02:34 CEST
I'd say, it is okay for now. I just want it to work for the Provider Portal.
Comment 4 Felix Botner univentionstaff 2018-05-25 15:27:45 CEST
OK - univention-app update --cache-dir ...
OK - yaml
Comment 5 Erik Damrose univentionstaff 2018-06-06 16:16:31 CEST
<http://errata.software-univention.de/ucs/4.3/91.html>